Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453245 - SELinux is preventing sendmail (exim_t) "getattr" to pipe (system_crond_t).
Summary: SELinux is preventing sendmail (exim_t) "getattr" to pipe (system_crond_t).
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 9
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-28 10:19 UTC by Frank Murphy
Modified: 2008-08-01 16:11 UTC (History)
0 users

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-01 16:11:33 UTC


Attachments (Terms of Use)
selinux alert (deleted)
2008-06-28 10:19 UTC, Frank Murphy
no flags Details

Description Frank Murphy 2008-06-28 10:19:52 UTC
Description of problem: 
SELinux denied access requested by sendmai (exim)


Version-Release number of selected component (if applicable):
policycoreutils-2.0.49-3.fc9.i386
policycoreutils-gui-2.0.49-3.fc9.i386
selinux-policy-targeted-3.3.1-69.fc9.noarch
selinux-policy-3.3.1-69.fc9.noarch
checkpolicy-2.0.14-1.fc9.i386
libselinux-2.0.64-2.fc9.i386
libselinux-python-2.0.64-2.fc9.i386



How reproducible:
Always

Steps to Reproduce:
1. send log(s) to isp email
2.
3.
  
Actual results:
avc denial

Expected results:
sucessful send

Additional info: it said please file a bug hence "new bug"

Comment 1 Frank Murphy 2008-06-28 10:19:52 UTC
Created attachment 310495 [details]
selinux alert

Comment 2 Daniel Walsh 2008-06-30 18:00:30 UTC
You can allow this for now.

# audit2allow -M mypol -l -i /var/log/audit/audit.log
# semodule -i mypol.pp

Fixed in selinux-policy-3.3.1-73.fc9.noarch

Comment 3 Frank Murphy 2008-08-01 16:08:44 UTC
Verified Fixed


Note You need to log in before you can comment on or make changes to this bug.